cURL
curl --request GET \
--url https://api.brightdata.com/datasets/delivery_settings/{destination_type}/schema \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.brightdata.com/datasets/delivery_settings/{destination_type}/schema"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.brightdata.com/datasets/delivery_settings/{destination_type}/schema', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.brightdata.com/datasets/delivery_settings/{destination_type}/schema",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.brightdata.com/datasets/delivery_settings/{destination_type}/schema"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.brightdata.com/datasets/delivery_settings/{destination_type}/schema")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.brightdata.com/datasets/delivery_settings/{destination_type}/schema")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"name": "s3",
"properties": {
"bucket": {
"type": "string",
"required": true
},
"credentials": {
"type": "object",
"required": false,
"or": [
{
"aws-access-key": {
"type": "string",
"required": true
},
"aws-secret-key": {
"type": "string",
"required": true
}
},
{
"role_arn": {
"type": "string",
"required": true
},
"external_id": {
"type": "string",
"required": true
}
}
]
},
"region": {
"type": "string",
"required": false
},
"directory": {
"type": "string",
"required": false
},
"endpoint_url": {
"type": "string",
"required": false
}
}
}{
"error": "Destination type not found"
}交付设置
获取目标类型架构
获取配置特定交付目的地类型(如 s3、sftp、gcs 或 webhook)所需的确切字段和凭证。
GET
/
datasets
/
delivery_settings
/
{destination_type}
/
schema
cURL
curl --request GET \
--url https://api.brightdata.com/datasets/delivery_settings/{destination_type}/schema \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.brightdata.com/datasets/delivery_settings/{destination_type}/schema"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.brightdata.com/datasets/delivery_settings/{destination_type}/schema', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.brightdata.com/datasets/delivery_settings/{destination_type}/schema",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.brightdata.com/datasets/delivery_settings/{destination_type}/schema"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.brightdata.com/datasets/delivery_settings/{destination_type}/schema")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.brightdata.com/datasets/delivery_settings/{destination_type}/schema")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"name": "s3",
"properties": {
"bucket": {
"type": "string",
"required": true
},
"credentials": {
"type": "object",
"required": false,
"or": [
{
"aws-access-key": {
"type": "string",
"required": true
},
"aws-secret-key": {
"type": "string",
"required": true
}
},
{
"role_arn": {
"type": "string",
"required": true
},
"external_id": {
"type": "string",
"required": true
}
}
]
},
"region": {
"type": "string",
"required": false
},
"directory": {
"type": "string",
"required": false
},
"endpoint_url": {
"type": "string",
"required": false
}
}
}{
"error": "Destination type not found"
}每个由 Bright Data 支持的交付目标都有自己的字段集。例如,
s3 需要一个 bucket 和访问密钥/密钥对或 IAM 角色 ARN 加外部 ID,而 sftp 需要主机和凭证字段。使用您计划使用的目标类型调用此端点,然后在调用 更新视图交付设置 时在 deliver 对象中提供返回的字段。
首先使用 获取交付选项 列出可以作为
destination_type 传递的有效值。授权
在 Authorization 头中使用您的 Bright Data API Key 作为 Bearer token。
认证方法:
- 从 Bright Data 账户设置获取您的 API Key: https://brightdata.com/cp/setting/users
- 在请求的 Authorization 头中包含 API Key
- 格式:
Authorization: Bearer YOUR_API_KEY
示例:
Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df
了解如何获取 Bright Data API Key: https://docs.brightdata.com/cn/api-reference/authentication#如何生成新的-api-key?
路径参数
交付策略的标识。支持的值:api_pull、webhook、email、gcs、gcp_pubsub、s3、snowflake、ali_oss、sftp、azure。
示例:
"s3"
此页面对您有帮助吗?